This is a fork from the original mod: Repair Requires Materials

https://www.nexusmods.com/valheim/mods/215 by [aedenthorn](https://www.nexusmods.com/valheim/users/18901754)

The mod has now developed and changed into something far different from the original.

## Repair with coins!

- Anything with durability that can be repaired (armor, weapons, etc) now requires Coins to repair it.

## Setup

- This mod is intended to be installed using R2modman, it handles loading and moving files automatically.

- There is a configuration file that contains values for materials used to build items. *item_values.json*

- The more expensive the material, the more costly in Coins to repair an item. A value of -1 means no cost to repair that material of an item. It works by counting the number of materials necessary to create the item, and then multiplies that by the value set in item_values.json. This gives the Coin cost to repair.

- You may need to adjust the values to match the economy and Coin drops of your server.

- The default values were configured to match the coin economy of a cjaycraft modpack server https://valheim.thunderstore.io/package/cjayride/cjaycraft_ultimate_modpack/

- This mod requires EpicLoot, Extended Item Data Framework, and RecipeCustomization. I'm not very good at programming, so the only way I could get this to work for my community server was piggy backing off the functions of these other mods.

There is a recipe customization file for GoldRubyRing. In order for this mod to work, it's required for this recipe file to be loaded. It's required for GoldRubyRing to need Coins to craft it. Sorry, again, I'm not very good at programming this stuff and this was my piggy-back work-around. It has worked for my community so far.

The mod depedency *ThisGoesHere* automatically moves the GoldRubyRing recipe to the RecipeCustomization folder for those using R2modman and Thunderstore.


## Change log

*0.6.2* - 2022/2/18

- Fixed critical bug with dependencies. It been difficult getting this mod on Thunderstore from my community server because I didn't know it relied on so many things.

*0.6.1* - 2022/2/17

- Removed test code mod config enforcer, because it was incomplete and prohibiting the mod from running at all.

*0.6.0* - 2022/2/16

- First upload to Thunderstore

## GitHub

This mod: https://github.com/cjayride/ValheimMods/tree/master/RepairRequiresMats

Original Mod: https://github.com/aedenthorn/ValheimMods/tree/master/RepairRequiresMats

## Contact

Twitter: twitter.com/cjayride

Discord: discord.gg/cjayride (find me at the top of the user list) "cjayride"

## Livestreams

IRL: twitch.tv/cjayride

Gaming: twitch.tv/cjaywalk